%define _disable_ld_no_undefined 1

# fwang: we need to push *.so into main package, because they will be dlopened at runtime, see mga#4882 & mga#14996
%global __requires_exclude devel\\(lib(gnc|cairo|gdk|glib|gmodule|gobject|gtk|guile|m|pango|xml2|z)(.*)\\)|libgncmod-
%global __provides_exclude devel\\(libgnc(.*)\\)

%define lib_major  0
%define libname    %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%define doc_version 5.2

%global guileapi 3.0

Name:           gnucash
Version:        5.3
Release:        %mkrel 1
Summary:        Application to keep track of your finances
License:        GPLv2+
Group:          Office/Finance
URL:            https://www.gnucash.org/
Source0:        https://downloads.sourceforge.net/gnucash//%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/gnucash/%{name}-docs-%{doc_version}.tar.gz
Source5:        engine-common.i
Patch0:		gnucash-rpath.patch
Patch1:		gnucash-5.0-docs-dont-create-symlink.patch
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(aqbanking) >= 4.0.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(guile-%{guileapi})
BuildRequires:  pkgconfig(gwengui-gtk3)
BuildRequires:  pkgconfig(gwenhywfar)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  ninja
BuildRequires:  pkgconfig(dbi)
BuildRequires:  libdbi-drivers-dbd-sqlite3
BuildRequires:  pkgconfig(ktoblzcheck)
BuildRequires:  pkgconfig(python3)
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  xsltproc
BuildRequires:  slib
BuildRequires:  gettext-devel
BuildRequires:  swig
BuildRequires:  locales-en
BuildRequires:  locales-fr
BuildRequires:  fop
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtds

Requires:       %{libname} = %{version}-%{release}
Requires:       libdbi-drivers-dbd-sqlite3
Requires:       guile%{guileapi}
Requires:       slib
Requires:       yelp
Requires:       dconf
Recommends:     iso-codes
Recommends:     perl-Finance-Quote

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package        -n %{name}-ofx
Summary:        Enables OFX importing in GnuCash
Group:          Office/Finance
Requires:       gnucash = %{version}-%{release}
 
%description    -n %{name}-ofx
This package adds OFX file import support to the base
GnuCash package. Install this package if you want to
import OFX files.

%package        -n %{name}-hbci
Summary:        Enables HBCI importing in GnuCash
Group:          Office/Finance
Requires:       gnucash = %{version}-%{release}
Requires:       aqbanking

%description    -n %{name}-hbci
This package adds HBCI file import support to the base
GnuCash package. Install this package if you want to
import HBCI files.

%package -n     %{libnamedev}
Group:          Development/C
Summary:        Libraries needed to develop for gnucash
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries needed to develop for gnucash.

%package -n     %{libname}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n %{libname}
This package provides libraries to use gnucash.

%package -n     python3-%{name}
Summary:        Python 3 module for gnucash
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       python3dist(matplotlib)
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      python-gnucash < 3.0-1
Provides:       python-gnucash = %{version}-%{release}

%description -n python3-%{name}
This package provides python 3 bindings to interact with gnucash.

%prep
%setup -q -a1 -n %{name}-%{version}
%autopatch -p1

%build
%cmake \
    -GNinja \
    -DWITH_PYTHON=ON \
    -DCOMPILE_GSCHEMAS=OFF \
    -DPYTHON_EXECUTABLE=%{__python3} \
    -DCPACK_SOURCE_RPM=OFF \
    -DCPACK_SOURCE_TBZ2=OFF \
    -DCPACK_SOURCE_TGZ=OFF \
    -DCPACK_SOURCE_TXZ=OFF \
    -DCPACK_SOURCE_TZ=OFF

%cmake_build

pushd gnucash-docs-%{doc_version}
%cmake
%cmake_build
popd

%install
%cmake_install
pushd gnucash-docs-%{doc_version}
%cmake_install
popd

%find_lang %{name} --all-name --with-gnome

rm -fr %{buildroot}%{_libexecdir}/gnucash/src/libqof/qof/test

%files -n %{libnamedev}
%{_bindir}/gnucash-valgrind
%{_includedir}/gnucash/

%files -n %{libname}
%{_libdir}/*.so

%files -f %{name}.lang
%doc %{_docdir}/gnucash/
%doc %{_datadir}/gnucash-docs/
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/gnucash
%{_bindir}/gnucash-cli
%{_bindir}/gnc-fq-update
%{_bindir}/finance-quote-wrapper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/guile/site/%{guileapi}/%{name}/
%{_datadir}/metainfo/gnucash.appdata.xml
%{_iconsdir}/hicolor/*/apps/*gnucash*
%dir %{_libdir}/gnucash
%{_libdir}/gnucash/libgnc-bi-import.so
%{_libdir}/gnucash/libgnc-csv-export.so
%{_libdir}/gnucash/libgnc-csv-import.so
%{_libdir}/gnucash/libgnc-customer-import.so
%{_libdir}/gnucash/libgnc-gnome-search.so
%{_libdir}/gnucash/libgnc-gnome-utils.so
%{_libdir}/gnucash/libgnc-html.so
%{_libdir}/gnucash/libgnc-ledger-core.so
%{_libdir}/gnucash/libgnc-log-replay.so
%{_libdir}/gnucash/libgnc-qif-import.so
%{_libdir}/gnucash/libgnc-register-core.so
%{_libdir}/gnucash/libgnc-register-gnome.so
%{_libdir}/gnucash/libgnc-report.so
%{_libdir}/gnucash/libgncmod-backend*.so{,.*}
%{_libdir}/gnucash/libgncmod-python.so{,.*}
%{_libdir}/guile/%{guileapi}/site-ccache/gnucash/
%{_datadir}/%{name}/
%{_mandir}/man1/gnucash.1.*
%{_mandir}/man1/gnucash-cli.1.*
%{_mandir}/man1/finance-quote-wrapper.1.*
%{_datadir}/glib-2.0/schemas/*.xml
%exclude %{_datadir}/glib-2.0/schemas/*.ofx.*
%exclude %{_datadir}/glib-2.0/schemas/*.hbci.*
%exclude %{_datadir}/%{name}/python

%files -n %{name}-ofx
%{_libdir}/gnucash/libgncmod-ofx*.so{,.*}
%{_datadir}/glib-2.0/schemas/*.ofx.*

%files -n %{name}-hbci
%{_libdir}/gnucash/libgncmod-aqbanking*.so{,.*}
%{_datadir}/glib-2.0/schemas/*.hbci.*

%files -n python3-%{name}
%{python3_sitearch}/%{name}/
%{_datadir}/%{name}/python/


%changelog
* Tue Jun 27 2023 kekepower <kekepower> 5.3-1.mga9
+ Revision: 1963190
- Update to version 5.3
  o Fixes critical Save bug. See https://bugs.gnucash.org/show_bug.cgi?id=798967

* Sun Jun 25 2023 kekepower <kekepower> 5.2-1.mga9
+ Revision: 1963002
- Update to version 5.2

* Mon May 01 2023 kekepower <kekepower> 5.1-1.mga9
+ Revision: 1955574
- Update to version 5.1

* Wed Mar 29 2023 daviddavid <daviddavid> 5.0-2.mga9
+ Revision: 1950674
- fix duplicate files /usr/share/gnucash/python/
- do not mark gnome help files as doc
- fix owner of doc dir

* Tue Mar 28 2023 kekepower <kekepower> 5.0-1.mga9
+ Revision: 1950543
- Update to version 5.0
- Rediff Patch1

* Sat Jan 07 2023 squidf <squidf> 4.13-3.mga9
+ Revision: 1931119
- Mass rebuild for icu 72.1

* Sat Dec 24 2022 wally <wally> 4.13-2.mga9
+ Revision: 1926474
- rebuild for boost 1.81.0

* Sun Dec 18 2022 kekepower <kekepower> 4.13-1.mga9
+ Revision: 1924881
- Add patch to fix build of docs
- Update to version 4.13

* Sun Sep 25 2022 kekepower <kekepower> 4.12-3.mga9
+ Revision: 1892291
- Add upstream patch to fix parallel build on gnucash-docs

* Sun Sep 25 2022 kekepower <kekepower> 4.12-2.mga9
+ Revision: 1892279
- Use Ninja to build docs version 4.12 as per upstream advice

* Sun Sep 25 2022 kekepower <kekepower> 4.12-1.mga9
+ Revision: 1892210
- Use documentation version 4.11 until bugs are fixed
 o https://bugs.gnucash.org/show_bug.cgi?id=798620
- Update to version 4.12

* Tue Sep 20 2022 wally <wally> 4.11-3.mga9
+ Revision: 1890931
- build against webkit2gtk-4.1

* Sun Jul 03 2022 wally <wally> 4.11-2.mga9
+ Revision: 1867252
- rebuild for boost 1.79.0

* Sun Jun 26 2022 kekepower <kekepower> 4.11-1.mga9
+ Revision: 1866332
- Update to version 4.11

* Sat Jun 18 2022 squidf <squidf> 4.10-2.mga9
+ Revision: 1864853
- rebuild for icu 71.1

* Mon Mar 28 2022 kekepower <kekepower> 4.10-1.mga9
+ Revision: 1829692
- Update to version 4.10

* Sat Feb 12 2022 tv <tv> 4.9-2.mga9
+ Revision: 1773673
- Rebuild for python-3.10

* Tue Dec 21 2021 kekepower <kekepower> 4.9-1.mga9
+ Revision: 1763073
- Update to version 4.9

* Sun Dec 19 2021 wally <wally> 4.8-2.mga9
+ Revision: 1762596
- rebuild for boost 1.78.0

* Mon Dec 13 2021 joequant <joequant> 4.8-1.mga9
+ Revision: 1761875
- fix icons dir
- update to 4.8

* Fri Sep 10 2021 wally <wally> 4.6-3.mga9
+ Revision: 1745113
- add patch to fix RPATH
- use cmake build macros
- let post %%install scriptlet remove .la files
- rebuild for boost 1.77.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 4.6-2.mga9
+ Revision: 1738927
- rebuild for icu

* Mon Jun 28 2021 kekepower <kekepower> 4.6-1.mga9
+ Revision: 1734064
- Update to version 4.6

* Fri May 14 2021 wally <wally> 4.5-2.mga9
+ Revision: 1722963
- rebuild for boost 1.76.0

* Sun Mar 28 2021 kekepower <kekepower> 4.5-1.mga9
+ Revision: 1711365
- Update to version 4.5

* Sun Mar 21 2021 wally <wally> 4.4-3.mga9
+ Revision: 1706369
- rebuild for python 3.9

* Thu Dec 31 2020 wally <wally> 4.4-2.mga8
+ Revision: 1666761
- rebuild for boost 1.75.0

* Tue Dec 29 2020 daviddavid <daviddavid> 4.4-1.mga8
+ Revision: 1664706
- new version: 4.4

* Mon Dec 28 2020 daviddavid <daviddavid> 4.3-1.mga8
+ Revision: 1664369
- new version: 4.3

* Sun Dec 20 2020 wally <wally> 4.2-4.mga8
+ Revision: 1662003
- rebuild for boost 1.74.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 4.2-3.mga8
+ Revision: 1650885
- rebuild for icu

* Sat Nov 07 2020 wally <wally> 4.2-2.mga8
+ Revision: 1643462
- switch to guile3.0

* Tue Sep 29 2020 daviddavid <daviddavid> 4.2-1.mga8
+ Revision: 1631014
- new version: 4.2

* Wed Jul 29 2020 kekepower <kekepower> 4.1-1.mga8
+ Revision: 1609642
- Update to version 4.1

* Sun Jul 12 2020 zezinho <zezinho> 4.0-1.mga8
+ Revision: 1605710
- new version 4.0

* Wed Jul 01 2020 wally <wally> 3.10-3.mga8
+ Revision: 1601023
- rebuild for icu 67.1

* Sun May 03 2020 wally <wally> 3.10-2.mga8
+ Revision: 1578430
- rebuild for boost 1.73.0

* Mon Apr 13 2020 daviddavid <daviddavid> 3.10-1.mga8
+ Revision: 1567043
- new version: 3.10

* Sat Apr 04 2020 wally <wally> 3.9-2.mga8
+ Revision: 1564459
- rebuild for new icu 66.1

* Mon Mar 30 2020 daviddavid <daviddavid> 3.9-1.mga8
+ Revision: 1562270
- new version: 3.9

* Wed Feb 19 2020 umeabot <umeabot> 3.8-3.mga8
+ Revision: 1544750
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 3.8-2.mga8
+ Revision: 1483371
- rebuild for boost 1.72.0

* Fri Jan 24 2020 zezinho <zezinho> 3.8-1.mga8
+ Revision: 1482669
- new version
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 07 2019 zezinho <zezinho> 3.7-6.mga8
+ Revision: 1450349
- the hbci tool is now in aqbanking main package

* Mon Oct 07 2019 zezinho <zezinho> 3.7-5.mga8
+ Revision: 1450087
- rebuild for new aqbanking 5.99.39beta

* Sat Oct 05 2019 daviddavid <daviddavid> 3.7-4.mga8
+ Revision: 1449481
- rebuild for new icu 65.1

* Mon Sep 30 2019 daviddavid <daviddavid> 3.7-3.mga8
+ Revision: 1448389
- switch to Gtk+3 (now gwengui-gtk3 is available)

* Fri Sep 13 2019 tv <tv> 3.7-2.mga8
+ Revision: 1440505
- disable %%_python_bytecompile_extra
- rebuild for python-3.8

* Tue Sep 10 2019 daviddavid <daviddavid> 3.7-1.mga8
+ Revision: 1439300
- new version: 3.7

* Tue Jul 02 2019 daviddavid <daviddavid> 3.6-1.mga8
+ Revision: 1417514
- new version: 3.6

* Mon Apr 15 2019 daviddavid <daviddavid> 3.5-2.mga7
+ Revision: 1390795
- add upstream patch to fix Gnucash will not open from UNC paths (Bug 797175)

* Sun Mar 31 2019 kekepower <kekepower> 3.5-1.mga7
+ Revision: 1383715
- Update to version 3.5

* Mon Jan 07 2019 zezinho <zezinho> 3.4-5.mga7
+ Revision: 1351165
- rebuild for python3.7

* Sun Jan 06 2019 kekepower <kekepower> 3.4-4.mga7
+ Revision: 1350120
- Enable RPATH to fix mga#24111

* Sun Jan 06 2019 kekepower <kekepower> 3.4-3.mga7
+ Revision: 1350088
- Change lib path to fix mga#24111

* Sun Jan 06 2019 zezinho <zezinho> 3.4-2.mga7
+ Revision: 1350067
- change lib path to fix mga#24111

* Mon Dec 31 2018 kekepower <kekepower> 3.4-1.mga7
+ Revision: 1347471
- Update to version 3.4

* Mon Dec 31 2018 tv <tv> 3.3-3.mga7
+ Revision: 1347320
- rebuild with latest icu

* Tue Oct 16 2018 wally <wally> 3.3-2.mga7
+ Revision: 1321037
- rebuild for new boost 1.68.0

* Mon Oct 01 2018 daviddavid <daviddavid> 3.3-1.mga7
+ Revision: 1314382
- new version: 3.3

* Fri Sep 21 2018 wally <wally> 3.2-3.mga7
+ Revision: 1295249
- build with system gmock

* Mon Aug 20 2018 tv <tv> 3.2-2.mga7
+ Revision: 1253069
- rebuild for new libicu

* Mon Jun 25 2018 kekepower <kekepower> 3.2-1.mga7
+ Revision: 1239690
- Update to version 3.2

* Fri Jun 08 2018 wally <wally> 3.1.1-4.mga7
+ Revision: 1235379
- drop ununsed goffice0.8 BR

* Tue May 15 2018 zezinho <zezinho> 3.1.1-3.mga7
+ Revision: 1229706
- remove %%exclude because of the rpm bug mga#22407

* Tue May 08 2018 kekepower <kekepower> 3.1.1-2.mga7
+ Revision: 1227637
- Use the -n switch on sub packages
- Use python_provide for python3-gnucash

* Sun May 06 2018 kekepower <kekepower> 3.1.1-1.mga7
+ Revision: 1226871
- Update to version 3.1-1

* Sun Apr 15 2018 daviddavid <daviddavid> 3.0-2.mga7
+ Revision: 1218858
- fix requires

* Mon Apr 02 2018 kekepower <kekepower> 3.0-1.mga7
+ Revision: 1214775
- Update to version 3.0
- Using Python 3
- Using cmake
- Fixed file lists

* Sun Jan 28 2018 daviddavid <daviddavid> 2.6.19-1.mga7
+ Revision: 1197750
- new version: 2.6.19
- rename python-gnucash to python2-gnucash

* Wed Nov 22 2017 tv <tv> 2.6.18-2.mga7
+ Revision: 1178684
- rebuild for new libofx

* Mon Nov 06 2017 zezinho <zezinho> 2.6.18-1.mga7
+ Revision: 1176261
- new bugfix version 2.6.18

* Tue Aug 08 2017 daviddavid <daviddavid> 2.6.17-2.mga7
+ Revision: 1138838
- remove dependency on pythonegg(2)(ipython) as it doesn't support py2 anymore

* Sun Jul 23 2017 daviddavid <daviddavid> 2.6.17-1.mga7
+ Revision: 1129196
- new version: 2.6.17

* Sat May 20 2017 zezinho <zezinho> 2.6.16-4.mga6
+ Revision: 1103500
- fix libname spacing

* Fri May 19 2017 zezinho <zezinho> 2.6.16-3.mga6
+ Revision: 1103405
- xboxboy patch to prevent gnucash upgrade without the libs

* Sun Apr 30 2017 zezinho <zezinho> 2.6.16-2.mga6
+ Revision: 1098139
- update forgotten docs

* Tue Apr 25 2017 zezinho <zezinho> 2.6.16-1.mga6
+ Revision: 1097289
- new version

* Sat Jan 21 2017 daviddavid <daviddavid> 2.6.15-1.mga6
+ Revision: 1082855
- new version: 2.6.15

* Sat Nov 05 2016 daviddavid <daviddavid> 2.6.14-1.mga6
+ Revision: 1065450
- new version: 2.6.14

* Thu Aug 11 2016 daviddavid <daviddavid> 2.6.13-1.mga6
+ Revision: 1045759
- new version: 2.6.13
- fix python2 dependencies for python-gnucash sub-package
- fix doc files listed twice
- fix owner of doc dir

* Mon May 02 2016 zezinho <zezinho> 2.6.12-2.mga6
+ Revision: 1008563
- rebuild against libofx 0.9.10

* Wed Apr 20 2016 daviddavid <daviddavid> 2.6.12-1.mga6
+ Revision: 1003689
- new version: 2.6.12

* Wed Jan 13 2016 daviddavid <daviddavid> 2.6.11-1.mga6
+ Revision: 922872
- new version: 2.6.11
- use new python macro

* Mon Jan 04 2016 bcornec <bcornec> 2.6.10-1.mga6
+ Revision: 919304
- Up date to upstream gnucash 2.6.10

* Tue Oct 13 2015 fwang <fwang> 2.6.9-1.mga6
+ Revision: 890189
- 2.6.9

* Mon Sep 28 2015 fwang <fwang> 2.6.8-1.mga6
+ Revision: 884341
- 2.6.8

* Thu Aug 13 2015 fwang <fwang> 2.6.7-1.mga6
+ Revision: 864224
- update file list
- 2.6.7

* Fri Feb 13 2015 sander85 <sander85> 2.6.5-3.mga5
+ Revision: 814871
- Fix requires (mga#14996)

* Thu Feb 12 2015 ovitters <ovitters> 2.6.5-2.mga5
+ Revision: 814802
- add ugly workaround dependency on .so library (mga#14996)

* Sun Jan 18 2015 bcornec <bcornec> 2.6.5-1.mga5
+ Revision: 811216
- Update to upstream 2.6.5 to fix #14865

* Fri Jan 09 2015 ovitters <ovitters> 2.6.4-4.mga5
+ Revision: 809543
- put .so in devel package

* Wed Oct 15 2014 umeabot <umeabot> 2.6.4-3.mga5
+ Revision: 744602
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 bcornec <bcornec> 2.6.4-2.mga5
+ Revision: 736857
- Without dconf, gnucash doesn't backup preferences !

* Fri Oct 03 2014 bcornec <bcornec> 2.6.4-1.mga5
+ Revision: 736262
- Update to upstream 2.6.4

* Sat Sep 27 2014 tv <tv> 2.6.3-5.mga5
+ Revision: 726363
- rebuild for missing pythoneggs deps

* Fri Sep 19 2014 tv <tv> 2.6.3-4.mga5
+ Revision: 697349
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.6.3-3.mga5
+ Revision: 679817
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 2.6.3-2.mga5
+ Revision: 628231
- Rebuild for new Python

* Sun Mar 30 2014 fwang <fwang> 2.6.3-1.mga5
+ Revision: 610309
- 2.6.3

* Tue Mar 04 2014 fwang <fwang> 2.6.2-1.mga5
+ Revision: 599247
- 2.6.2

* Tue Feb 04 2014 fwang <fwang> 2.6.1-1.mga5
+ Revision: 581615
- new version 2.6.1

* Sun Dec 29 2013 fwang <fwang> 2.6.0-1.mga4
+ Revision: 563032
- 2.6.0 stable

* Mon Dec 16 2013 pterjan <pterjan> 2.5.8-3.mga4
+ Revision: 557200
- Rebuild for new libofx

* Sat Nov 23 2013 fwang <fwang> 2.5.8-2.mga4
+ Revision: 552604
- bump rel

* Sat Nov 23 2013 fwang <fwang> 2.5.8-1.mga4
+ Revision: 552502
- update file list
- new version 2.5.8

* Mon Oct 21 2013 umeabot <umeabot> 2.5.6-2.mga4
+ Revision: 541064
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 2.5.6-1.mga4
+ Revision: 495007
- update file list
- update file list
- disable check as it failed with test-load-module
- add locales en for testing
- add locales-fr for testing
- disable check for now
- gconf is not used any more
- add more requires
- new version 2.5.6
- use make check
- drop dup br

* Sun Sep 22 2013 fwang <fwang> 2.5.5-1.mga4
+ Revision: 483295
- update file list
- new version 2.5.5

* Wed Aug 28 2013 fwang <fwang> 2.5.4-1.mga4
+ Revision: 472518
- update file list
- finally cleanup spec
- update file list
- update file list
- update file list
- update lang file
- br guile runtime
- new version 2.5.4 to run with guile 2.0

* Wed May 29 2013 dams <dams> 2.4.13-1.mga4
+ Revision: 432898
- new version 2.4.13

* Sat Jan 12 2013 umeabot <umeabot> 2.4.11-4.mga3
+ Revision: 352348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 2.4.11-3.mga3
+ Revision: 337468
- Fix group
- Fix for _libdir != _libexecdir
+ fwang <fwang>
- update file list
- more linkage fix
- more linkage fix
- fix linkage
- apply svn patch

* Mon Sep 03 2012 fwang <fwang> 2.4.11-2.mga3
+ Revision: 287559
- autoreconf not needed now
- rebuild for new aqbanking
- new version 2.4.11

* Fri Apr 06 2012 fwang <fwang> 2.4.10-9.mga2
+ Revision: 228913
- requires guile1.8 also

* Wed Apr 04 2012 fwang <fwang> 2.4.10-8.mga2
+ Revision: 228337
- do not force regenerate swig files
- revert build with guile 2.0 to 1.8, as it is not suggested upstream, nor working

* Mon Mar 12 2012 fwang <fwang> 2.4.10-7.mga2
+ Revision: 223056
- really force regenerate swig interface files

* Mon Mar 12 2012 fwang <fwang> 2.4.10-6.mga2
+ Revision: 223052
- do not promote useless png files when building from tarball
- force regenerate swig bindings as suggested by rh#704527

* Mon Mar 12 2012 fwang <fwang> 2.4.10-5.mga2
+ Revision: 222966
- more specific filter
- fix regexp usage

* Mon Mar 12 2012 fwang <fwang> 2.4.10-4.mga2
+ Revision: 222961
- do not provides devel also

* Mon Mar 12 2012 fwang <fwang> 2.4.10-3.mga2
+ Revision: 222957
- move all .so files into lib package, so that it won't fail when dlopen them

* Mon Mar 12 2012 fwang <fwang> 2.4.10-2.mga2
+ Revision: 222844
- fix guile lib loading (1st try on bug#4882)

* Fri Jan 27 2012 fwang <fwang> 2.4.10-1.mga2
+ Revision: 202257
- drop merged patch
- new version 2.4.10

* Sat Jan 21 2012 fwang <fwang> 2.4.9-2.mga2
+ Revision: 198995
- rebuild for new ofx

* Tue Jan 10 2012 fwang <fwang> 2.4.9-1.mga2
+ Revision: 194458
- there is no info file now
- update guile patches
- new version 2.4.9

* Wed Dec 28 2011 wally <wally> 2.4.8-3.mga2
+ Revision: 188477
- add patches from fedora to support new guile 2.0
- sync sources with fedora
- clean .spec a bit

* Wed Nov 30 2011 fwang <fwang> 2.4.8-2.mga2
+ Revision: 174357
- fix build with latest glib
- add br
- br scrollkeeper
- br python-devel
- br slib
- bump rel
- cleanup spec

* Mon Oct 24 2011 fwang <fwang> 2.4.8-1.mga2
+ Revision: 157592
- new version 2.4.8

* Wed Sep 21 2011 fwang <fwang> 2.4.7-3.mga2
+ Revision: 146361
- drop post section
- drop .la files
+ misc <misc>
- add submodule for python binding
- fix BR
  add a comment regarding obsoletes
- enable python binding, and simplify the Requires
- fix %%post

* Sun Jul 03 2011 fwang <fwang> 2.4.7-1.mga2
+ Revision: 117612
- new version 2.4.7

* Thu Jun 30 2011 ahmad <ahmad> 2.4.6-1.mga2
+ Revision: 116404
- Update to 2.4.6

* Mon Jun 20 2011 dmorgan <dmorgan> 2.4.5-2.mga2
+ Revision: 110695
- Rebuild against new webkit

* Mon Apr 11 2011 dams <dams> 2.4.5-1.mga1
+ Revision: 83229
- Update to 2.4.5

* Thu Mar 24 2011 ennael <ennael> 2.4.4-1.mga1
+ Revision: 76868
- fix build require (thanks to rtp)
- fix build require
- clean apsec file
+ wally <wally>
- imported package gnucash

